Docs Rizler

Pipeline

List Pipeline Stages

GEThttps://app.rizzdial.com/api/pipeline/{id}/stages
List Pipeline Stages
curl --request GET \
  --url https://app.rizzdial.com/api/pipeline/MQ==/stages \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "stages": [
      {
        "id": "Mg==",
        "stage_name": "New",
        "sorting_order": 0,
        "contacts_count": 4
      }
    ],
    "pipeline": {
      "id": "MQ==",
      "name": "Sales"
    }
  },
  "success": true
}

List Pipeline Stages#

Returns stages for a pipeline, ordered by sorting_order, with a contact count on each stage.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 pipeline id

curl --request GET \
  --url https://app.rizzdial.com/api/pipeline/MQ==/stages \
  --header 'Authorization: Bearer {{bearer_token}}'
data.pipelineobject

Base64 id and name

data.stagesarray

Each stage has base64 id, stage_name, sorting_order, and contacts_count